QXmppPubSubItem Class Reference

The QXmppPubSubItem class represents a publish-subscribe item as defined by XEP-0060: Publish-Subscribe. More...

`#include <QXmppPubSubIq.h>`

List of all members.

## Public Member Functions

QString | id () const
void | setId (const QString &id)
QXmppElement | contents () const
void | setContents (const QXmppElement &contents)

## Detailed Description

The QXmppPubSubItem class represents a publish-subscribe item as defined by XEP-0060: Publish-Subscribe.

## Member Function Documentation

QXmppElement QXmppPubSubItem::contents | ( |  | ) | const

Returns the contents of the PubSub item.

QString QXmppPubSubItem::id | ( |  | ) | const

Returns the ID of the PubSub item.

void QXmppPubSubItem::setContents | ( | const QXmppElement & | contents | ) |

Sets the contents of the PubSub item.

Parameters:

  contents |

void QXmppPubSubItem::setId | ( | const QString & | id | ) |

Sets the ID of the PubSub item.

Parameters:

  id |

The documentation for this class was generated from the following files:

- QXmppPubSubIq.h
- QXmppPubSubIq.cpp

All Classes Functions Enumerations Enumerator Properties